package com.sundot.airport.exam.logic.manage.model.result;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * <b>功能名：</b>ExamRecordPageResult<br>
 * <b>说明：</b> 考试记录分页列表返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-07-06 liangxiao
 */
public class ExamRecordPageResult {

    /**
     * 业务主键
     */
    private String erId;

    /**
     * 考试得分
     */
    private Integer erScore;

    /**
     * 是否获得证书
     */
    private Boolean getCert = false;

    /**
     * 答对题目数量
     */
    private Integer erBingoCount;

    /**
     * 正确率（百分数，不含百分号）
     */
    private Integer erCorrect;

    /**
     * 考试用时（单位：秒）
     */
    private Integer erExamTime;

    /**
     * 客户端类型（常量）
     */
    private String erClientType;

    /**
     * 考试表业务主键
     */
    private String erExId;

    /**
     * 考试名称
     */
    private String erExName;

    /**
     * 试卷分类名称
     */
    private String erTpcName;

    /**
     * 试卷名称
     */
    private String erTpName;

    /**
     * 试卷题目数
     */
    private Integer erTpQuesNum;

    /**
     * 试卷总分
     */
    private Integer erTpTotalScore;

    /**
     * 用户业务主键
     */
    private String usrId;

    /**
     * 用户名称
     */
    private String erUsrName;

    /**
     * 用户头像
     */
    private String erHeadImg;

    /**
     * 幼儿园业务主键
     */
    private String erKiId;

    /**
     * 幼儿园名称
     */
    private String erKiName;

    /**
     * 幼儿园编号
     */
    private String erKiNumber;

    /**
     * 所属战区（战区表业务id）
     */
    private String erWzId;

    /**
     * 所属战区名称
     */
    private String erWzName;

    /**
     * 所属地区-省
     */
    private String erKiProvince;

    /**
     * 所属地区-省编码
     */
    private String erKiProvinceCode;

    /**
     * 所属地区-市
     */
    private String erKiCity;

    /**
     * 所属地区-市编码
     */
    private String erKiCityCode;

    /**
     * 所属地区-区县
     */
    private String erKiCounty;

    /**
     * 所属地区-区县编码
     */
    private String erKiCountyCoderKiCountyCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    public String getErId() {
        return erId;
    }

    public void setErId(String erId) {
        this.erId = erId;
    }

    public Integer getErScore() {
        return erScore;
    }

    public void setErScore(Integer erScore) {
        this.erScore = erScore;
    }

    public Integer getErBingoCount() {
        return erBingoCount;
    }

    public void setErBingoCount(Integer erBingoCount) {
        this.erBingoCount = erBingoCount;
    }

    public Integer getErCorrect() {
        return erCorrect;
    }

    public void setErCorrect(Integer erCorrect) {
        this.erCorrect = erCorrect;
    }

    public Integer getErExamTime() {
        return erExamTime;
    }

    public void setErExamTime(Integer erExamTime) {
        this.erExamTime = erExamTime;
    }

    public String getErClientType() {
        return erClientType;
    }

    public void setErClientType(String erClientType) {
        this.erClientType = erClientType;
    }

    public String getErExId() {
        return erExId;
    }

    public void setErExId(String erExId) {
        this.erExId = erExId;
    }

    public String getErExName() {
        return erExName;
    }

    public void setErExName(String erExName) {
        this.erExName = erExName;
    }

    public String getErTpcName() {
        return erTpcName;
    }

    public void setErTpcName(String erTpcName) {
        this.erTpcName = erTpcName;
    }

    public String getErTpName() {
        return erTpName;
    }

    public void setErTpName(String erTpName) {
        this.erTpName = erTpName;
    }

    public Integer getErTpQuesNum() {
        return erTpQuesNum;
    }

    public void setErTpQuesNum(Integer erTpQuesNum) {
        this.erTpQuesNum = erTpQuesNum;
    }

    public Integer getErTpTotalScore() {
        return erTpTotalScore;
    }

    public void setErTpTotalScore(Integer erTpTotalScore) {
        this.erTpTotalScore = erTpTotalScore;
    }

    public String getUsrId() {
        return usrId;
    }

    public void setUsrId(String usrId) {
        this.usrId = usrId;
    }

    public String getErUsrName() {
        return erUsrName;
    }

    public void setErUsrName(String erUsrName) {
        this.erUsrName = erUsrName;
    }

    public String getErHeadImg() {
        return erHeadImg;
    }

    public void setErHeadImg(String erHeadImg) {
        this.erHeadImg = erHeadImg;
    }

    public String getErKiId() {
        return erKiId;
    }

    public void setErKiId(String erKiId) {
        this.erKiId = erKiId;
    }

    public String getErKiName() {
        return erKiName;
    }

    public void setErKiName(String erKiName) {
        this.erKiName = erKiName;
    }

    public String getErKiNumber() {
        return erKiNumber;
    }

    public void setErKiNumber(String erKiNumber) {
        this.erKiNumber = erKiNumber;
    }

    public String getErWzId() {
        return erWzId;
    }

    public void setErWzId(String erWzId) {
        this.erWzId = erWzId;
    }

    public String getErWzName() {
        return erWzName;
    }

    public void setErWzName(String erWzName) {
        this.erWzName = erWzName;
    }

    public String getErKiProvince() {
        return erKiProvince;
    }

    public void setErKiProvince(String erKiProvince) {
        this.erKiProvince = erKiProvince;
    }

    public String getErKiProvinceCode() {
        return erKiProvinceCode;
    }

    public void setErKiProvinceCode(String erKiProvinceCode) {
        this.erKiProvinceCode = erKiProvinceCode;
    }

    public String getErKiCity() {
        return erKiCity;
    }

    public void setErKiCity(String erKiCity) {
        this.erKiCity = erKiCity;
    }

    public String getErKiCityCode() {
        return erKiCityCode;
    }

    public void setErKiCityCode(String erKiCityCode) {
        this.erKiCityCode = erKiCityCode;
    }

    public String getErKiCounty() {
        return erKiCounty;
    }

    public void setErKiCounty(String erKiCounty) {
        this.erKiCounty = erKiCounty;
    }

    public String getErKiCountyCoderKiCountyCode() {
        return erKiCountyCoderKiCountyCode;
    }

    public void setErKiCountyCoderKiCountyCode(String erKiCountyCoderKiCountyCode) {
        this.erKiCountyCoderKiCountyCode = erKiCountyCoderKiCountyCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public Boolean getGetCert() {
        return getCert;
    }

    public void setGetCert(Boolean getCert) {
        this.getCert = getCert;
    }

    @Override
    public String toString() {
        return "ExamRecordPageResult{" +
                "erId='" + erId + '\'' +
                ", erScore=" + erScore +
                ", getCert=" + getCert +
                ", erBingoCount=" + erBingoCount +
                ", erCorrect=" + erCorrect +
                ", erExamTime=" + erExamTime +
                ", erClientType='" + erClientType + '\'' +
                ", erExId='" + erExId + '\'' +
                ", erExName='" + erExName + '\'' +
                ", erTpcName='" + erTpcName + '\'' +
                ", erTpName='" + erTpName + '\'' +
                ", erTpQuesNum=" + erTpQuesNum +
                ", erTpTotalScore=" + erTpTotalScore +
                ", usrId='" + usrId + '\'' +
                ", erUsrName='" + erUsrName + '\'' +
                ", erHeadImg='" + erHeadImg + '\'' +
                ", erKiId='" + erKiId + '\'' +
                ", erKiName='" + erKiName + '\'' +
                ", erKiNumber='" + erKiNumber + '\'' +
                ", erWzId='" + erWzId + '\'' +
                ", erWzName='" + erWzName + '\'' +
                ", erKiProvince='" + erKiProvince + '\'' +
                ", erKiProvinceCode='" + erKiProvinceCode + '\'' +
                ", erKiCity='" + erKiCity + '\'' +
                ", erKiCityCode='" + erKiCityCode + '\'' +
                ", erKiCounty='" + erKiCounty + '\'' +
                ", erKiCountyCoderKiCountyCode='" + erKiCountyCoderKiCountyCode + '\'' +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                '}';
    }
}
